function [psi] = ifft_C2(psi)
% Calculate the Inverse Fourier transform for a two component function psi

% psi is a vector of length 4*M:
% psi(1:2*M)     --> Fourier coefficients -M to M-1 of psi_1
% psi(2*M+1:4*M) --> Fourier coefficients -M to M-1 of psi_2

% --> Apply ifft to the first and second half of the vector psi seperately

% mat is a logical variable
% mat = 0 --> psi is a vector containing only one column
% mat = 1 --> psi is a matrix with several columns, apply ifft to each of
% them
sz = size(psi);

M = sz(1)/4;

if sz(2) == 1 % psi is a vector
    psi = [ myifft( psi(1:2*M) ) ; myifft( psi(2*M+1:4*M) ) ];
else % psi is a matrix
    psi = [ myifft( psi(1:2*M,:) ) ; myifft( psi(2*M+1:4*M,:) )];
end

end

