function [ vec ] = kappa(sign, d, tau, ep, D_vec)
% Compute the multiplication vector (of length 2*M) that corresponds to the
% application of the operator
%   int exp(mp i(tau-s)D) exp(dis/ep^2) ds
% in Fourier space

% sign is +1 or -1 and determines THE SIGN OPPOSITE TO THE SIGN OF THE 
% EXPONENTIAL-OPERATOR,
% d is an integer

vec = exp(1i*tau*d/ep^2) * tau * varphi_1(-sign*tau*( D_vec + sign*d/ep^2 ));

end

