function [ vec ] = kappa_2(sign, d, tau, ep, D_vec)
% Compute the multiplication vector (of length 2*M) that corresponds to the
% application of the operator (TWO STEPS!)
%   int_{-tau}^tau exp(mp i(tau-s)D) exp(dis/ep^2) ds
% in Fourier space

% sign is +1 or -1 and determines THE SIGN OPPOSITE TO THE SIGN OF THE 
% EXPONENTIAL-OPERATOR,
% d is an integer

vec = exp(1i*tau*d/ep^2) * 2*tau * varphi_1(-sign*2*tau*( D_vec + sign*d/ep^2 ));

end

