function [ vec ] = rho(sign, c, d, tau, ep, D_vec)
% Compute the multiplication vector (of length 2*M) that corresponds to the
% application of the operator
%   int exp(mp i(tau-s)D) s varphi_1(cis/ep^2) exp(dis/ep^2 ) ds
% in Fourier space

% sign is +1 or -1 and determines THE SIGN OPPOSITE TO THE SIGN OF THE 
% EXPONENTIAL-OPERATOR,
% c and d are integers

if c ~= 0
    vec = -1i*ep^2/c*tau * exp(1i*tau*d/ep^2) ...
          * ( exp(1i*tau*c/ep^2) * varphi_1(-sign*tau*( D_vec + sign * (c+d)/ep^2 )) ...
              - varphi_1(-sign*tau*( D_vec + sign * d/ep^2 )));    
else %c = 0
    vec = exp(1i*tau*d/ep^2) * tau^2 * varphi_2( -sign*tau*( D_vec + sign*d/ep^2 ));
end

end

