function [y] = compute_or_load_method_approx(method,N,pars)

pars.tau = pars.t_end/N;

%% filename for method solution
if strcmp(method,'EEMR')
    foldername = [pars.base_fld,'/EEMR ',num2str(pars.num_start_steps),...
                ' starting steps'];
else
    foldername = [pars.base_fld,'/benchmark'];
end
if exist(foldername,'dir') == 0
    mkdir(foldername)
end
filename = [foldername,'/N = ',num2str(N),'.mat'];

%% load if existent, else compute
if exist(filename,'file')>0
    load(filename)
    disp(['Approximation (',method,') for N = ',num2str(N),' has been loaded'])
else
    disp(['Approximation (',method,') for N = ',num2str(N),' will be computed'])
    [y,time,fft_count] = compute_method_approx(method,N,pars);
    % save solution
    save(filename,'y')
    disp(['Approximation (',method,') for N = ',num2str(N),' has been computed, time ',num2str(time)])            
end

end

