function [y] = compute_reference_solution(t_span,y_0,rel_tol,abs_tol,filename_ref,pars,save_yn)

% disp('Lösung NLDE mit Matlab Solver wird berechnet')
tic
vecsRef.k_vec = transpose( 2*pi/(pars.b-pars.a)*(-pars.M:pars.M-1) );
vecsRef.lambda_vec = vecsRef.k_vec.^2 ./ ( sqrt(1+pars.ep^2*vecsRef.k_vec.^2) + 1 ) ;
vecsRef.proj = 1./sqrt( 1+pars.ep^2 .* vecsRef.k_vec.^2);
% interpret input for right t_span
if length(t_span) == 1
    t_span = [0,t_span];
end
% transform initial data
phi_0 = transform(y_0,t_span(1),pars,vecsRef);
odefun=@(t,phi) NLDE_transformed_right_side(t,phi,pars,vecsRef);
options = odeset('RelTol',rel_tol,'AbsTol',abs_tol);
[t,phi_ode45]=ode45(odefun,t_span,phi_0,options);
% disp(['Lösung mit Matlab Solver wurde berechnet, Anzahl Schritte ',...
%       num2str(length(t)),', Zeit ',num2str(toc)])
phi_ode45 = transpose(phi_ode45(end,:));
y = retransform(phi_ode45,t_span(2),pars);
if save_yn
    save(filename_ref,'y')
end

end

